module Kernel
  def require_recursive(directory)
    if paths = $LOAD_PATH.map {|load_path| Dir["#{load_path}/#{directory}/**/*.rb"] }.find(&:any?)
      paths.each(&method(:require))
    else
      fail LoadError, "cannot load such files -- #{directory}/**/*.rb"
    end
  end
end
